#
# Cookbook Name:: chef_changereport_handler
# Recipe:: default
#
# Copyright 2015, http://DennyZhang.com
#
# Apache License, Version 2.0
#
working_dir = node['chef_changereport_handler']['working_dir']
[working_dir, "#{working_dir}", "#{working_dir}/handlers"].each do |x|
  directory x do
    owner 'root'
    group 'root'
    mode 00755
    action :create
  end
end

template "#{working_dir}/handlers/changereport_handler.rb" do
  source 'changereport_handler.rb.erb'
  action :create
  variables(
    report_dir_path: working_dir,
    report_extra_info: node['chef_changereport_handler']['report_extra_info']
  )
end

include_recipe 'chef_handler::default'

chef_handler 'MyChefReport::ChangReportHandler' do
  source "#{working_dir}/handlers/changereport_handler.rb"
  action :enable
end
